### Hierarchy

- LidarprofileManager

## Index

### Constructors

- constructor

### Properties

- cartoHighlight
- config
- debouncer
- lidarBuffer
- lidarPointHighlight
- measure
- plot
- pointSum
- profilePoints
- utils

### Methods

- clearBuffer
- getProfileByLOD
- init
- setLine
- setMap
- updateData

## Constructors

### constructor

- new LidarprofileManager(): LidarprofileManager

- - Defined in src/lidar/Manager.ts:123

  Provides a service to manage a D3js component to be used to draw an lidar point cloud profile chart. Requires access to a Pytree webservice: https://github.com/sitn/pytree

  #### Returns LidarprofileManager

## Properties

### cartoHighlight

cartoHighlight: Overlay

- Defined in src/lidar/Manager.ts:86

The hovered point attributes in D3 profile highlighted on the 2D map

### config

config: LidarprofileConfigService

- Defined in src/lidar/Manager.ts:76

### debouncer

debouncer: (() => void) = ...

- Defined in src/lidar/Manager.ts:118

#### Type declaration

- - (): void

  - #### Returns void

### lidarBuffer

lidarBuffer: VectorLayer<VectorSource<Geometry>>

- Defined in src/lidar/Manager.ts:97

The profile footpring represented as a LineString represented with real mapunites stroke width

### lidarPointHighlight

lidarPointHighlight: VectorLayer<VectorSource<Geometry>>

- Defined in src/lidar/Manager.ts:91

The hovered point geometry (point) in D3 profile highlighted on the 2D map

### measure

measure: default

- Defined in src/lidar/Manager.ts:74

### plot

plot: default

- Defined in src/lidar/Manager.ts:72

### pointSum

pointSum: number

- Defined in src/lidar/Manager.ts:116

### profilePoints

profilePoints: LidarprofilePoints

- Defined in src/lidar/Manager.ts:102

The variable where all points of the profile are stored

### utils

utils: default

- Defined in src/lidar/Manager.ts:114

## Methods

### clearBuffer

- clearBuffer(): void

- - Defined in src/lidar/Manager.ts:203

  Clears the profile footprint

  #### Returns void

### getProfileByLOD

- getProfileByLOD(clippedLine: Coordinate[], distanceOffset: number, resetPlot: boolean, minLOD: number): void

- - Defined in src/lidar/Manager.ts:255

  Load profile data (lidar points) by successive Levels Of Details using asynchronous requests

  #### Parameters

  - ##### clippedLine: Coordinate[]

    an array of the clipped line coordinates

  - ##### distanceOffset: number

    the left side of D3 profile domain at current zoom and pan configuration

  - ##### resetPlot: boolean

    whether to reset D3 plot or not

  - ##### minLOD: number

    minimum Level Of Detail

  #### Returns void

### init

- init(config: LidarprofileConfigService, map: Map): void

- - Defined in src/lidar/Manager.ts:193

  #### Parameters

  - ##### config: LidarprofileConfigService

    Config

  - ##### map: Map

    The map.

  #### Returns void

### setLine

- setLine(line: LineString): void

- - Defined in src/lidar/Manager.ts:216

  Set the line for the profile

  #### Parameters

  - ##### line: LineString

    that defines the profile

  #### Returns void

### setMap

- setMap(map: Map): void

- - Defined in src/lidar/Manager.ts:225

  Set the map used by the profile

  #### Parameters

  - ##### map: Map

    The map.

  #### Returns void

### updateData

- updateData(): void

- - Defined in src/lidar/Manager.ts:605

  Update the profile data according to D3 chart zoom and pan level The update will wait on a 200ms pause on the actions of users before to do the update.

  #### Returns void

Generated using TypeDoc